%define upstream_name    Quota
%define upstream_version 1.6.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Quota module for perl 
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/T/TO/TOMZO/%{upstream_name}-%{version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: quota
Requires:   quota
%description
The Quota module provides access to file system quotas. The quotactl
system call or ioctl is used to query or set quotas on the local host,
or queries are submitted via RPC to a remote host. Mount tables can be
parsed with getmntent and paths can be translated to device files (or
whatever the actual quotactl implementations needs as argument) of the
according file system.

%prep
%setup -q -n %{upstream_name}-%{version}

# fix perl path
find -type f | xargs perl -pi -e "s|/usr/drwho/local/bin/perl|%{_bindir}/perl|g"
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL META.yml README
%{perl_vendorarch}/auto/Quota
%{perl_vendorarch}/Quota.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.6.7-3.mga3
+ Revision: 372179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.6.7-2.mga3
+ Revision: 251087
- rebuild for perl 5.16

* Mon Nov 14 2011 jquelin <jquelin> 1.6.7-1.mga2
+ Revision: 167657
- update to 1.6.7

* Wed Jun 15 2011 jquelin <jquelin> 1.6.6-1.mga2
+ Revision: 107391
- update to 1.6.6

* Sun Jun 12 2011 sander85 <sander85> 1.6.5-2.mga2
+ Revision: 104931
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.6.5-1.mga1
+ Revision: 31071
- mageia rebuild
- imported package perl-Quota

